<template>
  <div class="slidecontainer">
    <input
      type="range"
      :min="minVal"
      :max="maxVal"
      :value="value"
      class="slider"
      :class="colorSlider"
      @change="changeValueSlider($event)"
    >
  </div>
</template>
<script>
export default {
  name: 'AppSlider',

  props: {
    minVal: {
      type: Number,
      default: null
    },
    maxVal: {
      type: Number,
      default: null
    },
    colorSlider: {
      type: String,
      default: null
    },
    /**
     * V-model value
     */
    value: {
      type: Number,
      default: 0
    }
  },

  methods: {
    changeValueSlider (e) {
      this.$emit('input', parseInt(e.target.value))
    }
  }
}
</script>

<style lang="scss">
.slidecontainer {
  width: 100%; /* Width of the outside container */
}

/* The slider itself */
.slider {
  -webkit-appearance: none;  /* Override default CSS styles */
  appearance: none;
  width: 100%; /* Full-width */
  height: 5px; /* Specified height */
  border-radius: 5px;
  &.red-slider {
    background:rgb(255, 50, 50);
    &::-webkit-slider-thumb {
      background:red;
    }
    &::-moz-range-thumb {
      background: red;
    }
  }
  &.blue-slider {
    background:rgb(50, 50, 255);
    &::-webkit-slider-thumb {
      background:blue;
    }
    &::-moz-range-thumb {
      background: blue;
    }
  }
  &.green-slider {
    background:rgb(50, 255, 50);;
    &::-webkit-slider-thumb {
      background:green;
    }
    &::-moz-range-thumb {
      background: green;
    }
  }
  /* background: #d3d3d3; */
  background: rgb(255, 61, 61);
  outline: none; /* Remove outline */
  opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
  -webkit-transition: .2s; /* 0.2 seconds transition on hover */
  transition: opacity .2s;
  /* Mouse-over effects */
  &:hover {
    opacity: 1; /* Fully shown on mouse-over */
  }

  /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
  &::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 15px; /* Set a specific slider handle width */
    height: 15px; /* Slider handle height */
    border-radius: 50%;
    /* background: rgb(7, 6, 6); */
    background:red;
    cursor: pointer; /* Cursor on hover */
  }

  &::-moz-range-thumb {
    width: 15px; /* Set a specific slider handle width */
    height: 15px; /* Slider handle height */
    background: red;
    border-radius: 50%;
    cursor: pointer; /* Cursor on hover */
  }
}

</style>
